From b31a913100752b1f806f07743aac0cae5840fe91 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Sun, 4 Nov 2018 10:26:21 -0500
Subject: [PATCH] Added Japanese translation for the Code of Conduct.

As this is the first translation of the Code of Conduct to be added
to pgweb, this also includes the "infratstructure" to add additional
translations.
---
 templates/pages/about/policies/coc.html            |   1 +
 .../pages/about/policies/coc/_translations.html    |  11 ++
 templates/pages/about/policies/coc/ja.html         | 117 +++++++++++++++++++++
 3 files changed, 129 insertions(+)
 create mode 100644 templates/pages/about/policies/coc/_translations.html
 create mode 100644 templates/pages/about/policies/coc/ja.html

diff --git a/templates/pages/about/policies/coc.html b/templates/pages/about/policies/coc.html
index 42f5dc6..42ff02e 100644
--- a/templates/pages/about/policies/coc.html
+++ b/templates/pages/about/policies/coc.html
@@ -231,4 +231,5 @@
     keep the discussion focused on moving our project and our community forward
     in a positive direction for all.</p>
 
+{% include "pages/about/policies/coc/_translations.html" %}
 {%endblock%}
diff --git a/templates/pages/about/policies/coc/_translations.html b/templates/pages/about/policies/coc/_translations.html
new file mode 100644
index 0000000..ff74f8a
--- /dev/null
+++ b/templates/pages/about/policies/coc/_translations.html
@@ -0,0 +1,11 @@
+<h1>Translations of the Code of Conduct</h1>
+<p>The Code of Conduct has been translated into multiple languages. Each
+  translation was verified independently by at least one aditional party.</p>
+<p>If there are any discrepancies in language between a translation and the
+    <a href="/about/policies/coc/">Code of Conduct written in English</a>, the
+    English language Code of Conduct will take precedence.</p>
+
+<ul>
+  <li><span lang="en"><a href="/about/policies/coc/">English</a></span></li>
+  <li><span lang="ja"><a href="/about/policies/coc/ja/">Japanese</a></span></li>
+</ul>
diff --git a/templates/pages/about/policies/coc/ja.html b/templates/pages/about/policies/coc/ja.html
new file mode 100644
index 0000000..aaa271e
--- /dev/null
+++ b/templates/pages/about/policies/coc/ja.html
@@ -0,0 +1,117 @@
+{%extends "base/page.html"%}
+{%block title%}Code of Conduct - Japanese Translation{%endblock%}
+
+{% block contents %}
+<h1>行動規範 <i class="fas fa-gavel"></i></h1>
+
+<p><em>最終更新日 (Last updated): 2018年8月18日</em></p>
+
+<h2>序文</h2>
+
+<p>我々PostgreSQLプロジェクトは、コードや取り組み、コミュニティにおける技術的なプロフェッショナルとしての業績に誇りを持っています。我々は皆様がプロとして行動する中で、礼儀と共通の利益を重んじ、全てのユーザーと開発者に敬意を払うことを望んでいます。</p>
+
+<p>我々はこれを実現するために、コミュニティの人々がプロジェクトの取り組みやコミュニティ全体へ参加・交流するための行動規範を規定しました。本規範はその他の行動規範が優先される場合を除き(カンファレンスでの行動規範など)、postgresql.orgのインフラ内外で行われるコミュニティメンバー間全ての交流に適用されるものとします。</p>
+
+<h2>包括性と模範行動</h2>
+
+<p>PostgreSQLプロジェクトは、ソフトウェアおよび工学一般の経験や熟練度にかかわらず、PostgreSQLを使い働くことを望むすべての人が参加できるものとします。いかなる背景を持つユーザーであれ、その開発と貢献を奨励します。</p>
+
+<p>ソフトウェアやコミュニティ、また現状および開発の方向性について、思慮深く建設的な議論を奨励します。議論の内容は、コードやそれに関連する技術、コミュニティプロジェクト、またインフラに焦点を当てたものとします。</p>
+
+<p>個人攻撃や、人格を否定するようなネガティブな発言は固く禁止するものとします。人格には年齢、人種、国籍や祖先、宗教、性別、性的指向が含まれますが、これに限りません。</p>
+
+<p>本規範に反するその他の行動には、個人や団体への暴力、プロとして、またはコミュニティやプロジェクトの一員としての責務の放棄、いかなる形であれ望ましくない性的アピール、およびPostgreSQLプロジェクトの不評を招くような行動を取ることや、不適切な行動を中止するよう要求されても従わないことを含みますが、これに限りません。</p>
+
+<h2>報復</h2>
+
+<p>本規範に基づいた苦情を申し立てた者や、そのような苦情の調査を支援する者に対し、報復を与えることをいかなる人にも明確に禁止します。報復とは中でも次のような形を取る場合があります:</p>
+
+<ul>
+  <li>さらなる個人攻撃(公的または私的なもの);</li>
+  <li>個人が持つプロとしての地位、および雇用者、同僚、顧客またはコミュニティにおける立場を貶める行動;</li>
+  <li>個人のプライバシーや自然人(physical person)、健康、家庭および家族を脅かす行動。</li>
+</ul>
+
+<p>報復行為は、その他の行動規範違反と同様に対処されるものとします。</p>
+
+<h2>行動規範委員会</h2>
+
+<p>コアチームは行動規範委員会を任命して苦情の対応と調査を指示するとともに、同委員会の議長を指名します。全コミュニティメンバーは委員会にボランティアとして参加することができますが、コアチームのメンバーは除くものとします。コアチームは委員会を監督する立場にあり、利害の衝突を避けるため、コアチームのメンバーは委員会の一員を務めることはありません。委員会に所属する委員の名簿はいつでも公的に利用できるものとし、<a href="/about/policies/coc_committee/">ここから閲覧ができます</a>。</p>
+
+<p>委員資格は年度ごとに更新されます。コアチームは普段のコミュニケーションに使われるチャネルを通じて、当年度の委員選定手続きの開始および締め切り日時を知らせるものとします。委員会への参加を希望するコミュニティメンバーは、コアチームおよび委員会の現委員によって審査される初期質問票に回答します。コアチームと現委員は応募者を選抜し、各参加希望者に対する集団面接を行います。現委員会が参加者を推薦し、コアチームが新委員を選定します。</p>
+
+<p>特定の時点における委員会の定数は存在しません。しかし、委員会は常時最低4名以上で構成されるものとします。委員は最低1年以上委員会に従事することを求められるが、もし熱意があれば、最大で3年間の在籍を可能とします。</p>
+
+<p>委員はコアチームの意向に沿って活動しますが、委員としての責務が果たされていないとコアチームが判断した場合、その委員は解任されることがあります。</p>
+
+<p>また、委員としての責務を果たす事が不可能であるか、もしくは果たす意思がないと思われる人物を委員会が主導的に除名する場合においても、委員会がコアチームに連絡することがあります。</p>
+
+<h2>報告</h2>
+
+<p>もしも不適切な行動の被害を受けたり、目撃した場合、行動規範委員会<a href="mailto:coc@postgresql.org">coc@postgresql.org</a> まで即座に報告してください。遺憾にも委員への苦情を申し立てたい場合、当該委員以外の委員に直接連絡をしても構いません。</p>
+
+<p>報告内容には、以下の詳細を可能な限り記載すること:</p>
+
+<ul>
+  <li>事件の概要;</li>
+  <li>発生日時;</li>
+  <li>議論内容のスクリーンショット;</li>
+  <li>氏名、可能であれば目撃者の連絡先;</li>
+  <li>その他調査に役立つと思われる情報。</li>
+</ul>
+
+<h2>苦情対応</h2>
+
+<p>委員会は報告された事件を迅速に認知し、調査するものとします。委員会は全方面からの協力を仰ぎ、苦情の申し出から2週間以内に調査を完了することを目標とします。</p>
+
+<p>事件報告と調査活動は、適切な調査実施にあたって可能な限り内密に行われます。</p>
+
+<p>委員会は苦情申告者および違反者とされる人物に対し、その時点での決定事項を報告します。もし調査が進行中の場合、委員会は各当事者に状況報告と調査完了見込み日時を伝えるものとします。</p>
+
+<p>十分な協力が得られない場合、調査は長引く場合があります。委員会は調査の完了に最善を尽くし、いつ調査が完了するかを通知するとともに、苦情申告者および違反者とされる人物への調査結果の報告を可及的速やかに行うものとします。</p>
+
+<p>行動規範委員会の委員およびコアチームのメンバーによって、もしくは上記に対して苦情が申し立てられた場合、苦情処理は通常通り行われますが、その苦情に関与する人物は委員会およびコアチーム内において割り当てられる手続きから除外されるものとします。</p>
+
+<p>結果は以下を含む可能性があるが、以下に限りません:</p>
+
+<ul>
+  <li>行動規範違反ではないと判断する;</li>
+  <li>関与した人物に対し、好ましい行動を取るための具体的な指示と個人的な叱責を与える;</li>
+  <li>関与した人物に対し、好ましい行動を取るための具体的な指示と公的な叱責を与える;</li>
+  <li>コミュニティの管理下にあるスペースへの一時的または永久的なアクセス禁止。スペースにはコミュニティのメーリングリスト、フォーラム、IRC、コミット権の喪失が含まれるが、これに限るものではない;</li>
+  <li>公的および個人的な謝罪を裁定する。</li>
+</ul>
+
+
+<p>一時的または永久的なアクセス禁止に関する裁定、そしてそのような結果に伴う関連する技術またはインフラに関する措置の深刻性のため、結論は、関係者への決定の通達を行うよりも先にコアチームによって検討されます。もしコアチームが委員会の下した結論に反対した場合、コアチームは委員会にその理由を提示するものとします。委員会はコアチームの勧告を検討し、必要であれば追加の議論を行います。裁定に関し、コアチームと委員会の意見が相違する場合、コアチームの決定が優先されるものとします。</p>
+
+<p>委員会は、おそらく文化の違い(例えばある言語においては無害な表現であるが、その他の言語では侮辱的な意味を持つスラングの使用)や、的を外したユーモアの試みの場合起こりうる規範違反を、故意ではなかったものとして判断を下すことができます。そのようなケースには叱責を行うよりも教育の機会として扱うものとします。委員会が報告された事件を過失による違反に分類されると判断した場合、委員会は他者によってその問題が繰り返される可能性があるかを判断し、その可能性があれば、さらなる問題発生を防ぐためコミュニティ全体に向けて情報共有を行います。</p>
+
+<p>いずれかの関係者が裁定が間違っていると感じた場合、その裁定が下されてから1週間以内に異議の申し立てができます。この訴えには事件の再検討のため委員会に提供される新情報、情報源、目撃者などを含むべきです。</p>
+
+<p>事件報告、調査、委員会の決定事項の記録およびその他の関連の記録は、事件ファイルに最後に項目が追加された日から3暦年の間保管されるものとします。委員会は全ての報告書と審議の機密性を保つため、適切な措置を講じるものとします。</p>
+
+<p>委員会は、前年度に受理した苦情の種類およびその解消のために取った措置を纏めた年間報告書を毎年度の第1四半期の終わりまでに作成し、それをコミュニティと共有します。なお苦情と措置対応は、関係する当事者の個人情報を保護するため匿名で記載されます。</p>
+
+<h2>誠意を持って行動する</h2>
+
+<p>事件に関して苦情を申告する者はだれでも、誠意のある対応と、本規範への違反を示す開示された情報が信頼に値するという妥当な根拠を求められます。もし疑惑が実証されず、虚偽と知りながら又は悪意を持って不当に申し立てられていることが判明した場合、それはコミュニティに対する重大な攻撃であるとともに、本行動規範の違反とみなされます。</p>
+
+<h2>本行動規範の更新</h2>
+
+<p>委員会およびコアチームは、報告された事件、法律家の提言、コミュニティメンバーからの提案、コミュニティの文化的発達、および規範の改正の必要をもたらすその他の事象に基づき、少なくとも年に一度、必要に応じて行動規範の更新を検討します。</p>
+
+<p>行動規範の改正を提案したいコミュニティメンバーは、改正案を委員会宛にメール<a href="mailto:coc@postgresql.org">coc@postgresql.org</a>で送信することができます。</p>
+
+<h2>カンファレンスおよびイベント</h2>
+
+<p>当プロジェクトは、各イベント企画者がイベントにおける行動規範を作成し、それを維持することを奨励します。それらの規範は本行動規範と同様の内容であっても異なるものであってもよいものとします。各イベント企画者は、迅速かつ客観的に自身のイベント開催中の不適切な行動への対応を行う責務を負うものとします。</p>
+
+<h2>結び</h2>
+
+<p>我々は、コミュニティメンバー間の適切で対等な関係を奨励します。しかしメンバーは、他のメンバーによって攻撃的と見なされうる行為に留意しそのような行為を行わないものとします。</p>
+
+<p>コミュニティ内の連絡においては、専門的判断を発揮し、議論の焦点を本プロジェクトとコミュニティを全員にとって建設的な方向へ進める事に絞るものとします。</p>
+
+{% include "pages/about/policies/coc/_translations.html" %}
+{% endblock contents %}
-- 
2.14.3 (Apple Git-98)

